Name: sugar-chat-activity
Version: 86
Release: %mkrel 5
Summary: Instant messaging client for Sugar
License: GPLv2+
Group: Graphical desktop/Other
Url: https://sugarlabs.org/
Source: https://download.sugarlabs.org/sources/sucrose/fructose/Chat/Chat-%{version}.tar.bz2
BuildArch: noarch
BuildRequires: gettext
BuildRequires: sugar-toolkit-gtk3
Requires: python3-simplejson
Requires: python3-gobject3
Requires: sugar-toolkit-gtk3

%description
The Chat activity will provide a simple interface for collaborative discussion,
be it between two individuals or among a group as large as an entire classroom.
While a lightweight and 'impermanent' chat will be provided in a layer above
all activities and the various mesh levels, this activity devoted to textual
communication will keep detailed records of the conversation within the journal
and provide a means of searching through the conversation to locate
important comments.

%prep
%setup -q -n Chat-%{version}

%build
%{__python3} setup.py build

%install
%{__python3} setup.py install --prefix=%{buildroot}/%{_prefix}

# fix .desktop file
sed -i -e 's!%{buildroot}!!g' %{buildroot}%{_datadir}/applications/*.desktop

# drop unneeded files
rm -rf %{buildroot}%{_datadir}/sugar/activities/*/setup.py
find %{buildroot} -name '*.py.orig' -delete

%find_lang org.laptop.Chat

%files -f org.laptop.Chat.lang
%doc AUTHORS NEWS
%license COPYING
%{_datadir}/applications/org.laptop.Chat.activity.desktop
%{_datadir}/sugar/activities/*


%changelog
* Fri Dec 29 2023 papoteur <papoteur> 86-5.mga10
+ Revision: 2024018
- rebuild for python 3.12

* Thu Mar 31 2022 umeabot <umeabot> 86-4.mga9
+ Revision: 1836850
- Mageia 9 Mass Rebuild

* Sat Dec 12 2020 wally <wally> 86-3.mga8
+ Revision: 1655843
- drop buildroot definition from .desktop files
- drop unneeded files
+ danf <danf>
- Switch URLs from http: to https:
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Mon Oct 28 2019 wally <wally> 86-1.mga8
+ Revision: 1456383
- new version 86
- switch to python3

* Wed Mar 13 2019 wally <wally> 85-1.mga7
+ Revision: 1375690
- new version 85

* Fri Sep 21 2018 umeabot <umeabot> 84-2.mga7
+ Revision: 1291718
- Mageia 7 Mass Rebuild

* Tue Nov 07 2017 zezinho <zezinho> 84-1.mga7
+ Revision: 1176352
- new version 84

* Fri Jun 09 2017 akien <akien> 81-2.mga6
+ Revision: 1107397
- Add desktop file

* Mon Jan 18 2016 zezinho <zezinho> 81-1.mga6
+ Revision: 925367
- new version

* Wed Oct 15 2014 umeabot <umeabot> 78-5.mga5
+ Revision: 744794
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 78-4.mga5
+ Revision: 689586
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 78-3.mga4
+ Revision: 519358
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 78-2.mga3
+ Revision: 383615
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 03 2012 zezinho <zezinho> 78-1.mga3
+ Revision: 326156
- new version

* Wed Nov 21 2012 zezinho <zezinho> 76-1.mga3
+ Revision: 320111
- newversion

* Sat Nov 19 2011 zezinho <zezinho> 73-1.mga2
+ Revision: 169507
- new version
+ ennael <ennael>
- imported package sugar-chat-activity


* Sat Sep 19 2009 Aleksey Lim <alsroot@mandriva.org> 66-1mdv2010.0
+ Revision: 444540
- Update to 66

* Mon Apr 06 2009 Aleksey Lim <alsroot@mandriva.org> 65-1mdv2009.1
+ Revision: 364287
- Sucrose 0.84.2 release

* Wed Mar 04 2009 Aleksey Lim <alsroot@mandriva.org> 64-1mdv2009.1
+ Revision: 348316
- Sucrose 0.84.0 release

* Mon Feb 23 2009 Aleksey Lim <alsroot@mandriva.org> 63-1mdv2009.1
+ Revision: 344204
- Sucrose 0.83.6 release

* Tue Jan 20 2009 Aleksey Lim <alsroot@mandriva.org> 62-1mdv2009.1
+ Revision: 331984
- new Sucrose 0.83.4 release

* Sun Jan 11 2009 Aleksey Lim <alsroot@mandriva.org> 61-1mdv2009.1
+ Revision: 328396
- initial commit

